[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: make reverting blacklists work

Holger Levsen holger at moszumanska.debian.org
Sun Jan 10 12:37:08 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 1bc3c602047a0e7417b74a67485bcce7f8379fb0
Author: Holger Levsen <holger at layer-acht.org>
Date:   Sun Jan 10 13:36:55 2016 +0100

    reproducible: make reverting blacklists work
---
 bin/reproducible_blacklist.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/bin/reproducible_blacklist.sh b/bin/reproducible_blacklist.sh
index d0f1d7a..a75bcd1 100755
--- a/bin/reproducible_blacklist.sh
+++ b/bin/reproducible_blacklist.sh
@@ -94,7 +94,7 @@ if [ $TOTAL -lt 1 ] ; then
 fi
 
 # main
-if [ "$1" != "--revert" ] ; then
+if ! $REVERT ; then
 	blacklist_packages
 else
 	revert_blacklisted_packages
@@ -115,6 +115,6 @@ echo
 echo "Probably edit notes.git/packages.yml now and enter/remove reasons for blacklisting there."
 
 # finally, let's re-schedule them if the blacklisted was reverted
-if [ "$1" = "--revert" ] ; then
+if $REVERT ; then
 	/srv/jenkins/bin/reproducible_schedule_on_demand.sh -s $SUITE -a $ARCH $PACKAGES
 fi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list